// pages/coupons.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo
var wxbarcode = require('../../codeUtils/index.js');

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    couponDetailTitle: '',
  },
 
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
    // Promise.JsBarcode("#imgcode", "123", {
    //   format: "CODE39",//选择要使用的条形码类型
    //   width:3,//设置条之间的宽度
    //   height:100,//高度
    //   displayValue:true,//是否在条形码下方显示文字
    //   text:"456",//覆盖显示的文本
    //   fontOptions:"bold italic",//使文字加粗体或变斜体
    //   font:"fantasy",//设置文本的字体
    //   textAlign:"left",//设置文本的水平对齐方式
    //   textPosition:"top",//设置文本的垂直位置
    //   textMargin:5,//设置条形码和文本之间的间距
    //   fontSize:15,//设置文本的大小
    //   background:"#eee",//设置条形码的背景
    //   lineColor:"#2196f3",//设置条和文本的颜色。
    //   margin:15//设置条形码周围的空白边距
    // });
    wxbarcode.barcode('barcode', '1234567890123456789', 700, 150);


    const {title,cardno} = this.options
    this.setData({
      couponDetailTitle: title
    })
    this.getCouponDetail(cardno)
  },

  //  查询单个优惠券
  getCouponDetail(cardno){
    wx.showLoading({
      title: '加载中'
    })

    wxService.post(`/coupon/coupon/get?cardNo=${cardno}`).then(res => {
      const {result,data} = res.data
      if(result == 0){
         wx.hideLoading()
        console.log('dddd',data)
      } else {
        wx.hideLoading()
        wx.showToast({
          title: `${res.desc}`,
          icon: 'none'
        })
      }
    }).finally(() => {

    })
  }

})